<div class="login">
    <h5 style="color: #4D769D">Đăng Nhập</h5>
    <br/>
    <form [formGroup]="form" (ngSubmit)="onLogin()">
        <p>
            <mat-form-field>
                <input type="text" matInput placeholder="Tài khoản" formControlName="username">
            </mat-form-field>
        </p>
        <p>
            <mat-form-field>
                <input type="password" matInput placeholder="Mật Khẩu" formControlName="password">
            </mat-form-field>
        </p>

        <p *ngIf="error" class="error">
            {{ error }}
        </p>
        <div class="button">
            <button type="button" id="close" color="accent" mat-button (click)="onClose()">Đóng</button>&nbsp;
            <button type="submit" [ngClass]="{'btn-login': !form.invalid, 'disabledbtn': form.invalid}" color="primary" mat-button [disabled]="form.invalid">Đăng Nhập</button>
        </div>

    </form>
</div>